Bug 1657042 - Need apbs in the whitelist for the registries
Summary: Need apbs in the whitelist for the registries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Documentation
Version: 1.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 1.3
Assignee: Pan Ousley
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 22:25 UTC by Steve Reichard
Modified: 2019-01-15 14:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 14:05:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steve Reichard 2018-12-06 22:25:08 UTC
Document URL: 
https://cnv_setup--ocpdocs.netlify.com/openshift-enterprise/latest/cnv_install/cnv_install.html


Section Number and Name: 

Describe the issue: 

We are using APBs but did not say that the whitelist needed to include them.

I believe we'd need it for both registries.   


Suggestions for improvement: 

One option is to say during the OpenShift install the 
ansible_service_broker_registry_whitelist=['.*-apb$']
ansible_service_broker_local_registry_whitelist=['.*-apb$']

Another, for an installed system would be to edit the config map to include the apbs in the whitelist.  And make sure the broker pod is restarted.

oc edit configmap/broker-config



Additional information:

Comment 1 Federico Simoncelli 2018-12-07 14:58:25 UTC
Andrew can you help us with this? It boils down to add the improvements that Steve mentioned above (probably in the suggested OpenShift inventory section).

cc'ing Audrey and Ali for visibility.

Comment 2 Andrew Burden 2018-12-10 09:43:23 UTC
I've added this to the CNV Prerequisites section of the Install Guide.

Change can be viewed here:
https://cnv_setup--ocpdocs.netlify.com/openshift-enterprise/latest/cnv_install/cnv_install.html#cnv_installguide_prerequisites

It seems cleaner to have this included in the cluster install rather than modifying.

Comment 3 Irina Gulina 2018-12-10 17:01:32 UTC
LGTM.


Note You need to log in before you can comment on or make changes to this bug.